Summary: A network traffic monitoring tool.
Name: tcpdump
Version: 3.8.2
Release: 1tr
License: BSD
Group: Trustix Official
Source: http://www.tcpdump.org/release/tcpdump-%{version}.tar.gz
BuildRequires: libpcap >= 0.8.2
Conflicts: kernel < 2.2.20
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Tcpdump is a command-line tool for monitoring network traffic.
Tcpdump can capture and display the packet headers on a particular
network interface or on all interfaces.  Tcpdump can display all of
the packet headers, or just the ones that match particular criteria.

Install tcpdump if you need a program to monitor network traffic.

%prep
%setup -q

%build
#libtoolize --copy --force
CFLAGS="$RPM_OPT_FLAGS -DIP_MAX_MEMBERSHIPS=20 -I/usr/include/pcap" \
%configure --enable-ipv6

make 


%install
[ -n "$RPM_BUILD_ROOT" -a "RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/{share/man/man8,sbin}

install -m755 -s tcpdump ${RPM_BUILD_ROOT}%{_prefix}/sbin
install -m644 tcpdump.1 ${RPM_BUILD_ROOT}%{_prefix}/share/man/man8/tcpdump.8


%clean
[ -n "$RPM_BUILD_ROOT" -a "RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc	README CHANGES
%{_prefix}/sbin/tcpdump
%{_prefix}/share/man/man8/tcpdump.8*


%changelog
* Tue Mar 30 2004 Erlend Midttun <erlendbm at trustix dot org> 3.8.2-1tr
- New upstream.  Fixes CAN-2004-0183 and CAN-2004-0184

* Sat Feb  7 2004 Omar Kilani <ok at trustix dot org> 3.8.1-1ok
- New upstream.

* Thu Jan 15 2004 Oystein Viggen <oysteivi at trustix dot org> 3.7.2-6tr
- Add patch for CAN-2003-0989 (isakmp)

* Wed Dec  3 2003 Erlend Midttun <erlendbm at trustix dot org> 3.7.2-5tr
- Big rebuild

* Wed Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 3.7.2-4tr
- Added --enable-ipv6.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 3.7.2-3tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 3.7.2-2em
- Rebuilt against glibc 2.3.2.

* Wed Mar  5 2003 Erlend Midttun <erlendbm at trustix dot com> 3.7.2-1em
- New upstream version.

* Mon Feb  3 2003 Goetz Bock <bock at trustix dot org> 3.7.1-3bg
- conflict with kernel < 2.2.20 to make uml based systems swupable
- added libpcap to buildrequirements, removed kernel-headers, 
  we need glibc-devel anyway to build something


* Sun Jan 19 2003 Gerald Dachs <gda at trustix dot org> 3.7.1-2gd
- rebuilt against openssl 0.9.7

* Tue Jul 23 2002 Christian H. Toldnes <christht at trustix dot com> 3.7.1-1ct
- New upstream version for 2.0

* Fri May 24 2002 Christian H. Toldnes <christht at trustix dot com>
- Applied securitypatch for the AFS RPC decoding functions.

* Wed Jun 13 2001 Oystein Viggen <oysteivi at trustix dot com>
- Hacked around problems with /usr/include/pcap

* Thu Mar  8 2001 Alexander Reelsen <ar at trustix dot com>
- Updated to 3.6.2
- Splitted off libpcap and arpwatch into seperate packages

* Mon Nov 27 2000 Oystein Viggen <oysteivi at trustix dot com>
- Integrated a sprintf -> snprintf monster patch from freebsd fixing loads of
  potential security holes.

* Thu Oct 12 2000 Erlend Midttun <erlendbm at trustix dot com>
- Added patch from Jarno Huuskonen to fix insecure tmp handling

* Tue Apr 11 2000 Erlend Midttun <erlendbm at trustix dot com>
- Moved man pages to comply with FHS

* Thu Feb 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Compile shared libpcap with -fPIC (Bug #6342)

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix descriptions
- man pages are compressed

* Wed Dec 22 1999 Jeff Johnson <jbj@redhat.com>
- remove sparc64 SIOCGIFNAME hack, not needed with (at least) kernel 2.2.12-40.
- upgrade to ANK ss991030 snapshot with pcap magic fix (#6773).
- add getprotobyname lookup (#6725).
- getservbyname port lookup appears functional (#7569).
- remove uid 2090 backdoor (sorry Dave) (#7116).

* Thu Sep 09 1999 Cristian Gafton <gafton@redhat.com>
- fox the pcap.h header

* Fri Aug 20 1999 Jeff Johnson <jbj@redhat.com>
- prevent segfault on obscure spoofed ip header (#4634).

* Wed Aug 18 1999 Jeff Johnson <jbj@redhat.com>
- add defattr to arpwatch (#4591).

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Sun Aug  8 1999 Jeff Johnson <jbj@redhat.com>
- add -DWORDS_BIGINDIAN to tcpdump compile on sparc sparc61.

* Tue Aug  3 1999 Jeff Johnson <jbj@redhat.com>
- include A. Kuznetsov's patches to libpcap/tcpdump.
- added arpsnmp to package (#3258).
- arp2ethers written for different of awk (#4326).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.

* Wed Jan 13 1999 Bill Nottingham <notting@redhat.com>
- autoconf fixes for arm

* Tue Sep 29 1998 Jeff Johnson <jbj@redhat.com>
- libpcap description typo.

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- fix arpwatch summary line.

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- enable arpwatch

* Mon Aug  3 1998 Jeff Johnson <jbj@redhat.com>
- separate package for libpcap.
- update tcpdump to 3.4, libpcap to 0.4.
- added arpwatch (but disabled for now)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May  2 1998 Alan Cox <alan@rehat.com>
- Added the SACK printing fix so you can dump Linux 2.1+.

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- updated to release 3.4a5
- uses a buildroot and %attr 

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
